#
# spec file for package ki18n
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang
%define lname   libKF5I18n5
%define _tar_path 5.26
Name:           ki18n
Version:        5.26.0
Release:        2.3
BuildRequires:  cmake >= 2.8.12
BuildRequires:  extra-cmake-modules >= %{_tar_path}
BuildRequires:  fdupes
BuildRequires:  gettext-runtime
BuildRequires:  kf5-filesystem
BuildRequires:  python
BuildRequires:  cmake(Qt5Concurrent) >= 5.5.0
BuildRequires:  cmake(Qt5Core) >= 5.5.0
BuildRequires:  cmake(Qt5Qml) >= 5.5.0
BuildRequires:  cmake(Qt5Script) >= 5.5.0
BuildRequires:  cmake(Qt5Test) >= 5.5.0
Summary:        KDE Gettext-based UI text internationalization
License:        LGPL-2.1+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source:         http://download.kde.org/stable/frameworks/%{_tar_path}/%{name}-%{version}.tar.xz
Source1:        baselibs.conf
# PATCH-FIX-OPENSUSE fallbackLang.diff -- look for translations in locale/kf5 also
Patch0:         fallbackLang.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
KI18n provides functionality for internationalizing user interface text
in applications, based on the GNU Gettext translation system.
It wraps the standard Gettext functionality, so that the programmers
and translators can use the familiar Gettext tools and workflows.

%package -n %lname
Summary:        KDE Gettext-based UI text internationalization
Group:          System/GUI/KDE
Obsoletes:      libKF5I18n4
%if %{with lang}
Recommends:     %lname-lang = %{version}
%endif
%requires_ge libQt5Core5
%requires_ge libQt5Script5

%description -n %lname
KI18n provides functionality for internationalizing user interface text
in applications, based on the GNU Gettext translation system.
It wraps the standard Gettext functionality, so that the programmers
and translators can use the familiar Gettext tools and workflows.

%package devel
Summary:        KDE Gettext-based UI text internationalization
Group:          Development/Libraries/KDE
Requires:       %lname = %{version}
Requires:       extra-cmake-modules
Requires:       gettext-runtime
Requires:       python

%description devel
KI18n provides functionality for internationalizing user interface text
in applications, based on the GNU Gettext translation system.
It wraps the standard Gettext functionality, so that the programmers
and translators can use the familiar Gettext tools and workflows.
Development files.

%lang_package -n %lname
%prep
%setup -q
%patch0 -p1

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %fdupes %{buildroot}

%if %{with lang}
%find_lang %{name}5
for i in `ls %{buildroot}%{_kf5_sharedir}/locale`
do
  if test -d  %{buildroot}%{_kf5_sharedir}/locale/$i/LC_SCRIPTS
  then
    echo "%dir %lang(${i%%_*}) %{_kf5_sharedir}/locale/$i/LC_SCRIPTS" >>%{name}5.lang
    echo "%lang(${i%%_*}) %{_kf5_sharedir}/locale/$i/LC_SCRIPTS/ki18n5/" >>%{name}5.lang
  fi
done
%endif

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%if %{with lang}
%files -n %lname-lang -f %{name}5.lang
%endif

%files -n %lname
%defattr(-,root,root)
%doc COPYING* README*
%{_kf5_libdir}/libKF5I18n.so.*
%{_kf5_plugindir}/

%files devel
%defattr(-,root,root)
%{_kf5_libdir}/libKF5I18n.so
%{_kf5_libdir}/cmake/KF5I18n/
%{_kf5_includedir}/
%{_kf5_mkspecsdir}/qt_KI18n.pri

%changelog
* Tue Sep  6 2016 hrvoje.senjan@gmail.com
- Update to 5.26.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.26.0.php
* Sun Aug  7 2016 hrvoje.senjan@gmail.com
- Update to 5.25.0
  * Qt >= 5.5 is now required
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.25.0.php
* Wed Jul  6 2016 hrvoje.senjan@gmail.com
- Update to 5.24.0
  * Also search catalogs for stripped variants of values in
    env var LANGUAGE
  * Fix parsing of env var values WRT modifier and codeset,
    done in wrong order
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.24.0.php
* Mon Jun  6 2016 hrvoje.senjan@gmail.com
- Update to 5.23.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.23.0.php
* Sat May  7 2016 hrvoje.senjan@gmail.com
- Update to 5.22.0 (boo#980066)
  * libgettext: Fix potential use-after-free using non-g++ compilers
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.22.0.php
* Mon Apr  4 2016 hrvoje.senjan@gmail.com
- Update to 5.21.0 (boo#974793)
  * Use qt system locale langs as fallback on non UNIX
  * Upgrade Qt version requirement to 5.4.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.21.0.php
* Sun Mar  6 2016 hrvoje.senjan@gmail.com
- Update to 5.20.0 (boo#970856)
  * Use portable import macro for nl_msg_cat_cntr
  * Skip looking up . and .. to find the translations for an application
  * Restrict _nl_msg_cat_cntr use to GNU gettext implementations
  * Add KLocalizedString::languages()
  * Place Gettext calls only if catalog has been located
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.20.0.php
* Sat Feb  6 2016 hrvoje.senjan@gmail.com
- Update to 5.19.0 (boo#967668)
  * Reduce use of gettext API
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.19.0.php
* Sat Jan  2 2016 hrvoje.senjan@gmail.com
- Update to 5.18.0
  * Document the first argument rule for plurals in QML
  * Reduce unwanted type changes
  * Make it possible to use doubles as index for i18np*() calls in QML
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.18.0.php
* Thu Dec 10 2015 hrvoje.senjan@gmail.com
- Update to 5.17.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.17.0.php
* Sun Nov  8 2015 hrvoje.senjan@gmail.com
- Update to 5.16.0 (boo#955067)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.16.0.php
* Tue Oct  6 2015 wbauer@tmo.at
- Add /usr/share/locale-bundle/ to the list of directories that are
  searched for translations
* Mon Oct  5 2015 hrvoje.senjan@gmail.com
- Update to 5.15.0
  * Remove strict iterators for msvc to make ki18n build
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.15.0.php
* Mon Sep 21 2015 wbauer@tmo.at
- Tag the LC_SCRIPTS files in the -lang file list with the language
  they belong to, so that they will be put into the correct
  bundle-lang-kde-xx packages
* Tue Sep  8 2015 hrvoje.senjan@gmail.com
- Update to 5.14.0
  * Gracefully handle no newline at end of pmap file
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.14.0.php
* Tue Aug  4 2015 hrvoje.senjan@gmail.com
- Update to 5.13.0
  * The Qt version requirement has been bumped from 5.2 to 5.3
  * Debug output has been ported to categorized output, for less
    noise by default
  * Docbook documentation has been reviewed and updated
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.13.0.php
* Sat Aug  1 2015 wbauer@tmo.at
- Fix fallbackLang.diff: slashes were missing which resulted in
  wrong paths, relPath (XX/LC_MESSAGE/) was erroneously added
  to the returned directory path too which prevented the translation
  files from actually being opened. (boo#932158)
* Sun Jul  5 2015 hrvoje.senjan@gmail.com
- Update to 5.12.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.12.0.php
* Fri Jun 12 2015 tittiatcoke@gmail.com
- Adjust patch fallbackLang.diff to search through some openSUSE
  specific locale paths. Search only these specific locations to
  prevent searching too many locations.
* Sun Jun  7 2015 hrvoje.senjan@gmail.com
- Update to 5.11.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.11.0.php
* Sun May  3 2015 hrvoje.senjan@gmail.com
- Update to 5.10.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.10.0.php
* Sat Apr  4 2015 hrvoje.senjan@gmail.com
- Update to 5.9.0
  * Reload the global Qt catalog when using i18n()
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.9.0.php
* Sat Mar  7 2015 hrvoje.senjan@gmail.com
- Update to 5.8.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.8.0.php
* Fri Feb 27 2015 hrvoje.senjan@gmail.com
- Improve fallbackLang.diff to look into kf5 locale subdir first,
  boo#904524
* Sun Feb  8 2015 hrvoje.senjan@gmail.com
- Update to 5.7.0
  * Mark results as required to warn when API is misused
  * Added BUILD_WITH_QTSCRIPT buildsystem option to allow a reduced
    feature-set on embedded systems
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.7.0.php
* Sat Jan  3 2015 hrvoje.senjan@gmail.com
- Update to 5.6.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.6.0.php
* Sat Dec  6 2014 hrvoje.senjan@gmail.com
- Update to 5.5.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.5.0.php
* Sun Nov  2 2014 hrvoje.senjan@gmail.com
- Update to 5.4.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.4.0.php
* Sat Oct  4 2014 hrvoje.senjan@gmail.com
- Update to 5.3.0
  * Remove leftover Perl dependency
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.3.0.php
* Thu Sep 25 2014 hrvoje.senjan@gmail.com
- Added fallbackLang.diff: make translations be seen from a custom
  directory (which will be $share_prefix/locale/kf5. Otherwise
  every langauge in the KF5 era will need to conflict with kdelibs4
  ones. Needs also adjusting in kf5-filesystem, and dropping of
  find_lang in some packages, as that macro doesn't look in
  subdirectories.
* Tue Sep  9 2014 hrvoje.senjan@gmail.com
- Update to 5.2.0
  * For more details please see:
    http://kde.org/announcements/kde-frameworks-5.2.php
- Added gettext-runtime and python (Build)Requires
* Sat Aug  2 2014 hrvoje.senjan@gmail.com
- Update to 5.1.0
  * For more details please see:
    http://www.kde.org/announcements/kde-frameworks-5.1.php
- Harden required Qt5 libs versions
* Tue Jul  1 2014 hrvoje.senjan@gmail.com
- Update to 5.0.0
  * Final release of KDE Frameworks 5
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/kde-frameworks-5.0.php
* Sun Jun  1 2014 hrvoje.senjan@gmail.com
- Update to 4.100.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta3.php
- Add baselibs.conf
* Sun May  4 2014 hrvoje.senjan@gmail.com
- Update to 4.99.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta2.php
* Sat Mar 29 2014 hrvoje.senjan@gmail.com
- Update to 4.98.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta1.php
* Tue Mar  4 2014 hrvoje.senjan@gmail.com
- Update to 4.97.0:
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-alpha2.php
* Sun Feb 23 2014 hrvoje.senjan@gmail.com
- Added patches from upstream
  * 0008-Cleanup-after-QtScript-port.patch
  * 0009-Do-not-leak-script-interfaces-and-their-script-engin.patch
* Sun Feb 23 2014 hrvoje.senjan@gmail.com
- Added patches from upstream, which implement plugins via QtScript,
  instead of KJS:
  * 0001-Print-actual-path-that-failed-to-load.patch
  * 0002-More-test-cases-for-Transcript.patch
  * 0006-Separate-ktranscript-plugin-test-into-its-own-autote.patch
  * 0007-Ported-KTranscript-script-engine-use-from-KJS-to-QtS.patch
- Droped kjs-devel(Build)Requires, and added pkgconfig(Qt5Script)
  BuildRequires, as per added patches
* Sat Feb  8 2014 hrvoje.senjan@gmail.com
- Init ki18n package
